Name:           telepathy-gabble
Version:        0.7.2
Release:        %mkrel 1
Summary:        A Jabber/XMPP connection manager

Group:          Networking/Instant messaging
License:        LGPL
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	loudmouth-devel
BuildRequires:  libxslt-proc
BuildRequires:  python-devel
BuildRequires:  telepathy-glib
Requires:	telepathy-filesystem
Obsoletes:      tapioca-xmpp
# no longer exist since 0.5.11
Obsoletes:      telepathy-gabble-devel

%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
#%{_bindir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_libdir}/telepathy-gabble
%{_mandir}/man*/*.lzma

#--------------------------------------------------------------------

%prep
%setup -q


%build
%configure --disable-loudmouth-versioning
%make


%install
rm -rf %buildroot
make install DESTDIR=%buildroot


%clean
rm -rf %buildroot


%changelog
* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 177202
- update to new version 0.7.2

* Wed Jan 09 2008 Jérôme Soyer <saispo@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 147224
- New release 0.7.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 97698
- New release 0.6.0

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 0.5.13-1mdv2008.0
+ Revision: 79783
- new version

* Tue Jul 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.12-2mdv2008.0
+ Revision: 51039
- Obsoletes tapioca-xmpp ( bug #26973 and #31804)

* Mon Jun 18 2007 Michael Scherer <misc@mandriva.org> 0.5.12-1mdv2008.0
+ Revision: 40774
- version 0.5.12

* Sun Jun 10 2007 Michael Scherer <misc@mandriva.org> 0.5.11-2mdv2008.0
+ Revision: 37791
- update to 0.5.11, and remove -devel package, as it seems to no longer exist ( replaced by telepathy-glib ? )

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild


* Wed Feb 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.4-1mdv2007.0
+ Revision: 129320
- FIx BuildRequires
- New version
- Fix file list
- New version
- New version 0.5.1:
  * cache vcards for a short period of time, and group together requests,
  so we don't end up retreiving them twice for avatars and then again for
  nicknames
  * fix a really common crash most times we got any offline presence from
  people
  * fix a crash on certain invalid connection arguments
  * fix a reference leak of connections, meaning you could never
  reconnect to a connection in the same instance (thanks Xavier Claessens)
  * don't add a "message" parameter to presence if it's not actually
  received (thanks Sjoerd Simons)
  * start moving protocol-independent code out to lib/ directory

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.0-1mdv2007.1
+ Revision: 95052
- New version 0.5.0

* Mon Oct 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.2-1mdv2007.1
+ Revision: 73720
- New release 0.4.2

* Wed Oct 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.10-1mdv2007.1
+ Revision: 63242
- Import telepathy-gabble

